# pmrun – Privilege Manager run

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Status

## Synopsis

- This become plugins allows your remote/login user to execute commands as another user via the pmrun utility.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
become_exe - | Default: "pmrun" | ini entries: [privilege_escalation] become_exe = pmrun [pmrun_become_plugin] executable = pmrun env:ANSIBLE_BECOME_EXE env:ANSIBLE_PMRUN_EXE var: ansible_become_exe var: ansible_pmrun_exe | Sudo executable
become_flags - |  | ini entries: [privilege_escalation] become_flags = VALUE [pmrun_become_plugin] flags = VALUE env:ANSIBLE_BECOME_FLAGS env:ANSIBLE_PMRUN_FLAGS var: ansible_become_flags var: ansible_pmrun_flags | Options to pass to pmrun
become_pass - |  | ini entries: [pmrun_become_plugin] password = VALUE env:ANSIBLE_BECOME_PASS env:ANSIBLE_PMRUN_PASS var: ansible_become_password var: ansible_become_pass var: ansible_pmrun_pass | pmrun password

## Notes

Note

- This plugin ignores the become_user supplied and uses pmrun’s own configuration to select the user.

## Status

- This become is not guaranteed to have a backwards compatible interface. [preview]
- This become is maintained by the Ansible Community. [community]

### Authors

- ansible (@core)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.